import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs';
import { BookingCreatedMigrationModel } from '../model/bookingCreatedMigrationModel';
import { CreateBookingMigrationModel } from '../model/createBookingMigrationModel';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare namespace dataBookingsPost {
    interface Params {
        /**
        *
        */
        body: CreateBookingMigrationModel;
        /**
        * Use this parameter to override the current date and time for the current request. Specify a date and time (without fractional second part) in UTC or with UTC offset as defined in the <a href=\"https://en.wikipedia.org/wiki/ISO_8601\">ISO8601:2004</a>.This header will only take effect on development environments.
        */
        apaleoCurrentDateTime?: Date;
        /**
        * Unique key for safely retrying requests without accidentally performing the same operation twice.  We'll always send back the same response for requests made with the same key,  and keys can't be reused with different request parameters. Keys expire after 24 hours.
        */
        idempotencyKey?: string;
    }
}
export declare class BookingMigrationService {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     *
     * &lt;br&gt;You must have this scope: &#39;reservations.import&#39;.
     * @param $params.body
     * @param $params.apaleoCurrentDateTime Use this parameter to override the current date and time for the current request. Specify a date and time (without fractional second part) in UTC or with UTC offset as defined in the &lt;a href&#x3D;\&quot;https://en.wikipedia.org/wiki/ISO_8601\&quot;&gt;ISO8601:2004&lt;/a&gt;.This header will only take effect on development environments.
     * @param $params.idempotencyKey Unique key for safely retrying requests without accidentally performing the same operation twice.  We&#39;ll always send back the same response for requests made with the same key,  and keys can&#39;t be reused with different request parameters. Keys expire after 24 hours.
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    dataBookingsPost($params: dataBookingsPost.Params, observe?: 'body', reportProgress?: boolean): Observable<BookingCreatedMigrationModel>;
    dataBookingsPost($params: dataBookingsPost.Params, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<BookingCreatedMigrationModel>>;
    dataBookingsPost($params: dataBookingsPost.Params, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<BookingCreatedMigrationModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BookingMigrationService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BookingMigrationService>;
}
