/**
 * apaleo Data API - not safe for work
 * Continuously evolving version - use at your own risk! Import transactional data from other PMS.
 *
 * OpenAPI spec version: v0-nsfw
 *
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { BookReservationServiceMigrationModel } from './bookReservationServiceMigrationModel';
import { CommissionModel } from './commissionModel';
import { CreateReservationTimeSliceMigrationModel } from './createReservationTimeSliceMigrationModel';
import { ExternalReferencesMigrationModel } from './externalReferencesMigrationModel';
import { GuestMigrationModel } from './guestMigrationModel';
import { MonetaryValueModel } from './monetaryValueModel';
/**
 * With this request you can migrate a reservation
 */
import { ClassMetaData } from '@apaleo/angular-api-proxy-common';
export interface CreateReservationMigrationModel {
    /**
     * Date and optional time of arrival<br />Specify either a pure date or a date and time (without fractional second part) in UTC or with UTC offset as defined in <a href=\"https://en.wikipedia.org/wiki/ISO_8601\">ISO8601:2004</a>
     */
    arrival: string;
    /**
     * Date and optional time of departure. Cannot be more than 5 years after arrival.<br />Specify either a pure date or a date and time (without fractional second part) in UTC or with UTC offset as defined in <a href=\"https://en.wikipedia.org/wiki/ISO_8601\">ISO8601:2004</a>
     */
    departure: string;
    /**
     * Number of adults
     */
    adults: number;
    /**
     * Ages of the children
     */
    childrenAges?: Array<number>;
    /**
     * Additional information and comments
     */
    comment?: string;
    /**
     * Additional information and comments by the guest
     */
    guestComment?: string;
    /**
     * Code in some system
     */
    externalCode?: string;
    /**
     * Channel code
     */
    channelCode: CreateReservationMigrationModel.ChannelCodeEnum;
    /**
     * Source of the reservation
     */
    source?: string;
    primaryGuest?: GuestMigrationModel;
    /**
     * Additional guests of the reservation.
     */
    additionalGuests?: Array<GuestMigrationModel>;
    /**
     * The guarantee that has to be applied for this reservation. It has to be the same or stronger than  the minimum guarantee required by the selected rate plan
     */
    guaranteeType?: CreateReservationMigrationModel.GuaranteeTypeEnum;
    /**
     * Purpose of the trip, leisure or business
     */
    travelPurpose?: CreateReservationMigrationModel.TravelPurposeEnum;
    /**
     * Gross prices including services and taxes for each time slice. They will be applied to the reservation timeslices  in the order specified from arrival to departure
     */
    timeSlices: Array<CreateReservationTimeSliceMigrationModel>;
    /**
     * Additional services (extras, add-ons) that should be added to the reservation
     */
    services?: Array<BookReservationServiceMigrationModel>;
    /**
     * Set this if this reservation belongs to a company
     */
    companyId?: string;
    /**
     * Corporate code provided during creation. Used to find offers during amend.
     */
    corporateCode?: string;
    prePaymentAmount?: MonetaryValueModel;
    commission?: CommissionModel;
    /**
     * The promo code associated with a certain special offer
     */
    promoCode?: string;
    externalReferences?: ExternalReferencesMigrationModel;
}
export declare namespace CreateReservationMigrationModel {
    type ChannelCodeEnum = 'Direct' | 'BookingCom' | 'Ibe' | 'ChannelManager' | 'Expedia' | 'Homelike' | 'Hrs' | 'AltoVita' | 'DesVu';
    const ChannelCodeEnumValues: readonly ChannelCodeEnum[];
    type GuaranteeTypeEnum = 'PM6Hold' | 'CreditCard' | 'Prepayment' | 'Company';
    const GuaranteeTypeEnumValues: readonly GuaranteeTypeEnum[];
    type TravelPurposeEnum = 'Business' | 'Leisure';
    const TravelPurposeEnumValues: readonly TravelPurposeEnum[];
}
export declare namespace CreateReservationMigrationModel {
    const $metaData: ClassMetaData<CreateReservationMigrationModel>;
}
